# SensorDataChunk

Represents a chunk of sensor data.

## SensorDataChunk API

### `getSize()`

> ```java
> int getSize()
> ```
>
> Returns the number of sensor samples in the chunk. All of x, y, z, and timestamp arrays will be of this size.

### `getTimestamps()`

> ```java
> long[] getTimestamps()
> ```
>
> Returns the timestamps in UTC epoch time.

### `getXValues()`

> ```java
> float[] getXValues()
> ```
>
> Returns the x-axis values.

### `getYValues()`

> ```java
> float[] getYValues()
> ```
>
> Returns the y-axis values.

### `getZValues()`

> ```java
> float[] getZValues()
> ```
>
> Returns the z-axis values.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sentiance.com/important-topics/sdk/api-reference/android/transport-sessions/sensordatachunk.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
